package smsqesprites;
/**
 * This listens to changes in the gap spinner and sets them in the associated SpritesPanel.
 * 
 * @author and copyright (c) Wolfgang Lenerz 2013
 */
public class GapSpinnerListener  implements javax.swing.event.ChangeListener
{
    private SpritePanel sp=null;
    
    /**
     * Creates this listener object. 
     * 
     * @param sp the associated SpritesPanel.
     */
    public GapSpinnerListener(SpritePanel sp)
    {
        this.sp=sp;
    }
        
    /**
     * Sets the new value in the SpritesPanel.
     * 
     * @param e the changed state.
     */
    @Override
    public void stateChanged(javax.swing.event.ChangeEvent e) 
    {
        javax.swing.JSpinner source = (javax.swing.JSpinner)e.getSource();
        if (this.sp!=null) 
        {
           int opa= (int)source.getValue();
           this.sp.setGap (opa);
        }
    }
}
