package smsqesprites;

/**
 * Listens to changes in the slider.
 * 
 * @author and copyright (c) Wolfgang Lenerz 2013
 */
public class HeightSliderListener implements javax.swing.event.ChangeListener
{
    private SpritePanel sp=null;
    
    /**
     * Creates the slider.
     * 
     * @param sp thes pritespanel containing the image.
     */
    public HeightSliderListener(SpritePanel sp)
    {
        this.sp=sp;
    }
    
    /**
     * Called when the slider's state changes, sets this is the SpritesPanel.
     * 
     * @param e the change event.
     */
    public void stateChanged(javax.swing.event.ChangeEvent e) 
    {
        javax.swing.JSlider source = (javax.swing.JSlider)e.getSource();
        if (!source.getValueIsAdjusting() && this.sp!=null) 
        {
           int opa= (int)source.getValue();
           float opacity=(float)opa / (float)10.0;
           this.sp.setFadeHeight (opacity);
        }
    }
}
